### Virtual Method

# Shumate MapSource fill_tile_async

#### Declaration [src]

    void
    fill_tile_async (
      ShumateMapSource* self,
      ShumateTile* tile,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronous version of shumate_map_source_fill_tile().

#### Parameters

`tile` | `ShumateTile`
| A `ShumateTile`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.